| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::connection_exception Class Reference

Represents an error establishing or maintaining a connection. More...

`#include <exception.h>`

Inheritance diagram for dpp::connection_exception:
[legend]
Collaboration diagram for dpp::connection_exception:
[legend]

## Public Member Functions

exception_error_code | code () const noexcept
| Get exception code.
const char * | what () const noexcept override
| Get exception message.

## Protected Attributes

exception_error_code | error_code
| Exception error code.
std::string | msg
| Exception message.

## Detailed Description

Represents an error establishing or maintaining a connection.

Note
  This is a stub for documentation purposes. For full information on supported methods please see dpp::exception.

## Member Function Documentation

## ◆ code()

exception_error_code dpp::exception::code | ( |  | ) | const

inline nodiscard noexcept inherited

Get exception code.

Returns
  exception_error_code error code

## ◆ what()

const char * dpp::exception::what | ( |  | ) | const

inline nodiscard override noexcept inherited

Get exception message.

Returns
  const char* error message

## Member Data Documentation

## ◆ error_code

exception_error_code dpp::exception::error_code

protected inherited

Exception error code.

## ◆ msg

std::string dpp::exception::msg

protected inherited

Exception message.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0